package eu.eudat.deposit.controller;

import eu.eudat.depositinterface.models.DmpDepositModel;
import eu.eudat.depositinterface.repository.DepositConfiguration;
import eu.eudat.depositinterface.zenodorepository.service.ZenodoDepositService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/api/deposit")
public class DepositController implements eu.eudat.depositinterface.repository.DepositController {

    private final ZenodoDepositService depositClient;

    @Autowired
    public DepositController(ZenodoDepositService depositClient) {
        this.depositClient = depositClient;
    }

    public String deposit(@RequestBody DmpDepositModel dmpDepositModel, @RequestParam("authToken")String authToken) throws Exception {
        return depositClient.deposit(dmpDepositModel, authToken);
    }

    public String authenticate(@RequestParam("authToken") String code) {
        return depositClient.authenticate(code);
    }

    public DepositConfiguration getConfiguration() {
        return depositClient.getConfiguration();
    }

    public String getLogo() {
        return depositClient.getLogo();
    }

}
